> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ref.scoutos.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ref.scoutos.com/_mcp/server.

# List supported source types

GET https://api.scoutos.com/v2/sources

Reference: https://ref.scoutos.com/api-sdk/endpoints/sources/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

Successful Response

- `sources` (list of SourceArchetype, required)

## Types

### SourceArchetype

- `archetype_id` (string, required) — The unique identifier for this source archetype
- `display_name` (string, required) — The human readable name for this source archetype
- `input_schema` (map from string to any, required) — The input schema for this source archetype
- `description` (string, optional, nullable) — A description of this source archetype
- `schedulable` (boolean, optional, default: false) — Wether or not this Source can be schedule to run at an interval
- `img_url` (string, optional, nullable) — A URL to an image representing this source archetype
- `integrated_service_id` (string, optional, nullable) — Determines if the SourceSync is a IntegratedService
- `integration_version` (enum, optional, nullable) — The version of the integration if SourceSync is an Integration
  - Allowed values: `v1`, `v2`

## Examples

**Response**

```json
{
  "sources": [
    {
      "archetype_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
      "display_name": "Weather Data API",
      "input_schema": {
        "type": "object",
        "properties": {
          "location": {
            "type": "string",
            "description": "City or coordinates for weather data"
          },
          "units": {
            "type": "string",
            "enum": [
              "metric",
              "imperial"
            ],
            "description": "Units for temperature and wind speed"
          }
        },
        "required": [
          "location"
        ]
      },
      "description": "Provides real-time weather information and forecasts.",
      "schedulable": true,
      "img_url": "https://example.com/images/weather-api-logo.png",
      "integrated_service_id": "weather_service_001",
      "integration_version": "v1"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.scoutos.com/v2/sources"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```typescript
import { ScoutClient } from "scoutos";

const client = new ScoutClient({ apiKey: "YOUR_API_KEY" });
await client.sources.list();

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.scoutos.com/v2/sources"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.scoutos.com/v2/sources")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.scoutos.com/v2/sources")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.scoutos.com/v2/sources', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.scoutos.com/v2/sources");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.scoutos.com/v2/sources")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```